// Olivia.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include "Olivia.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

/**
*	@file Olivia.cpp
*	DLL creada por IGT para VSM con el fin de independizar el código
*	fuente del software Olivia
*	en fecha abril de 2018
*/

// COliviaApp

BEGIN_MESSAGE_MAP(COliviaApp, CWinApp)
END_MESSAGE_MAP()


// COliviaApp construction

COliviaApp::COliviaApp()
{
	
}


// The one and only COliviaApp object

COliviaApp theApp;


// COliviaApp initialization

BOOL COliviaApp::InitInstance()
{
	CWinApp::InitInstance();

	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	return TRUE;
}
